FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::CharacterType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::CharacterType:

## Public Member Functions
KindTy | getFKind () const

## Static Public Member Functions
static CharacterType | get (mlir::MLIRContext *ctxt, KindTy kind)
Static Public Member Functions inherited from fir::IntrinsicTypeMixin< CharacterType, TypeKind::FIR_CHARACTER >
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

Model of the Fortran CHARACTER intrinsic type, including the KIND type parameter. The model does not include a LEN type parameter. A CharacterType is thus the type of a single character value.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp